=== debian/rules ===
#!/usr/bin/make -f
# vim: noet sw=4 ts=4 ai

%:
	dh $@

override_dh_auto_build:
	if test `dpkg-architecture -qDEB_BUILD_ARCH` = amd64; then \
		$(MAKE) -f debian/Makefile ADDCFLAGS=-DLOCALTIME64; \
	else \
		$(MAKE) -f debian/Makefile; \
	fi

override_dh_clean:
	dh_clean
	find . -name "*.o" -delete
	find . -name "*.d" -delete
	$(RM) obj/blockout2 obj/obj-dir-stamp
