## blockout2 2.5%2Bdfsg1

=== BlockOut/Makefile ===
--- 
+++ 
@@ -1,14 +1,17 @@
 #---------------------------------------------------------------------
 # Makefile for BlockOut
 #
-# Need SDL-1.2.12
-#      SDL_mixer-1.2.8
+# ubuntu 12.04 LTS needed packages.
 #
-# Note: Sorry to not have libtoolized this project but i don't have
-#       enough time to do that.
-
+#  libgl1-mesa-swx11-dev
+#  libglu1-mesa-dev
+#  libxext-dev
+#  libsdl1.2-dev
+#  libsdl-mixer1.2-dev
+#
 #---------------------------------------------------------------------
 # All source files needed for the application
+#
 
 SRC = 	BlockOut.cpp         PageChooseSetup.cpp       PageStartGame.cpp \
 	EditControl.cpp      PageControls.cpp          Pit.cpp \
@@ -19,6 +22,7 @@
 	MenuGraphics.cpp     PageMainMenu.cpp          Utils.cpp \
 	MenuGrid.cpp         PageOptions.cpp           PageChangeSetup.cpp  \
 	PageScoreDetails.cpp PageGSOptions.cpp         BotPlayer.cpp \
+	BotPlayerAI.cpp      BotMatrix.cpp \
 	GLApp/GLApp.cpp  GLApp/GLFont.cpp  GLApp/GLMatrix.cpp  GLApp/GLSprite.cpp
 
 OBJ=    BlockOut.o         PageChooseSetup.o       PageStartGame.o \
@@ -30,21 +34,43 @@
 	MenuGraphics.o     PageMainMenu.o          Utils.o \
 	MenuGrid.o         PageOptions.o           PageChangeSetup.o  \
 	PageScoreDetails.o PageGSOptions.o         BotPlayer.o \
+	BotPlayerAI.o      BotMatrix.o \
 	GLApp/GLApp.o  GLApp/GLFont.o  GLApp/GLMatrix.o  GLApp/GLSprite.o
 
 #---------------------------------------------------------------------
 
-SDL_ROOT	= /users/pons/test/opengl/SDL
-IMGLIB_ROOT	= ../ImageLib
+ADD_LIBS = ../ImageLib/src/libimagelib.a
+
+ifdef _linux64
+SDL_LIBS = /usr/lib/x86_64-linux-gnu
+else
+SDL_LIBS = /usr/lib/i386-linux-gnu
+endif
 
 CXX		= g++
 
+ifdef _release
+
+CXXFLAGS =     -O2 -Dlinux -c \
+               -I/usr/include/SDL -I../ImageLib/src -I.
+
+LFLAGS   =      -Wl,--strip-all \
+		$(ADD_LIBS) \
+		-lSDL_mixer -lSDL -lasound \
+		-lGL -lGLU -lpthread -lm -ldl
+
+else
+
 CXXFLAGS =     -g -D_DEBUG -Dlinux -c \
-               -I$(SDL_ROOT)/include/SDL -I$(IMGLIB_ROOT) -I.
+               -I/usr/include/SDL -I../ImageLib/src -I.
 
-LIBS	 =     -L$(SDL_ROOT)/lib -L$(IMGLIB_ROOT)
+LFLAGS   =      -L $(SDL_LIBS) \
+		$(ADD_LIBS) \
+		-lSDL_mixer -lSDL -lasound \
+		-lGL -lGLU -lpthread -lm -ldl
 
-LFLAGS   =      $(LIBS) -limagelib -lGL -lGLU -lSDL_mixer -lSDL -lpthread -lm -ldl 
+endif
+
 
 #--------------------------------------------------------------------
