=== debian/changelog ===
blockout2 (2.5+dfsg1-2) unstable; urgency=medium

  * Team Upload

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.7.2, no changes needed.
  * Fix field name cases in debian/control (VCS-Browser => Vcs-Browser,
    VCS-Git => Vcs-Git).

 -- Alexandre Detiste <tchet@debian.org>  Mon, 21 Apr 2025 17:48:16 +0200

blockout2 (2.5+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - refresh patches and drop obsolete one
    - adjust d/Makefile to new paths
  * Update Standards-Version to 4.4.0:
    - change priority from extra to optional
    - declare that d/rules does not require root
  * Honour CPPFLAGS and enable all hardening options.
  * Update debhelper compat level to 12.
  * Point Vcs-* fields to salsa.
  * Fix spelling errors found by lintian.
  * Document orig.tar.xz in README.source.
  * Convert d/copyright to copyright format 1.0.
  * Install README.txt.

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 23 Aug 2019 22:59:57 +0200

blockout2 (2.4+dfsg1-9) unstable; urgency=medium

  Apply 882536 patch, thanks to Helmut Grohne <helmut@subdivi.de>:
  * Fix FTCBFS: (Closes: #882536)
    + Let dh_auto_build pass cross compilers to make.
    + Fix build/host confusion in d/rules.
    + Make compilers in d/Makefile substitutable.

 -- Dmitry E. Oboukhov <unera@debian.org>  Fri, 29 Mar 2019 19:45:41 +0300
