=== debian/control ===
Source: blockout2
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Dmitry E. Oboukhov <unera@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 libpng-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: http://www.blockout.net/blockout2/
Vcs-Browser: https://salsa.debian.org/games-team/blockout2
Vcs-Git: https://salsa.debian.org/games-team/blockout2.git
X-Style: black

Package: blockout2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Tetris like game (3D-tetris)
 BlockOut II is a free adaptation of the original BlockOut
 DOS game edited by California Dreams in 1989. BlockOut II
 has the same features than the original game with few graphic
 improvements. The score calculation is also nearly similar to
 the original game. BlockOut II has been designed by an addicted
 player for addicted players. BlockOut II is an open source
 project available for both Windows and Linux.
