=== debian/rules ===
#!/usr/bin/make -f
# vim: noet sw=4 ts=4 ai

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

BUILD_FLAGS=
ifeq ($(DEB_HOST_ARCH),amd64)
BUILD_FLAGS = ADDCFLAGS=-DLOCALTIME64
endif

%:
	dh $@

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile -- -f debian/Makefile $(BUILD_FLAGS)

execute_after_dh_clean:
	find . -name "*.o" -delete
	find . -name "*.d" -delete
	$(RM) obj/blockout2 obj/obj-dir-stamp
